summaryrefslogtreecommitdiff
path: root/dev-python/python-swiftclient
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-08-29 03:04:45 -0500
committerroot <root@alpha.trunkmasters.com>2026-08-29 03:04:45 -0500
commit675018c33e0383ac7d40ba2922d90d811382accc (patch)
tree2e0c0d53fe59a7a9294c59d8d4cf081b76e3ca1b /dev-python/python-swiftclient
parentc21ba35eb4039c697aed1e9e3dcbc6d62763cf37 (diff)
downloadbaldeagleos-repo-675018c33e0383ac7d40ba2922d90d811382accc.tar.gz
baldeagleos-repo-675018c33e0383ac7d40ba2922d90d811382accc.tar.xz
baldeagleos-repo-675018c33e0383ac7d40ba2922d90d811382accc.zip
Adding metadata
Diffstat (limited to 'dev-python/python-swiftclient')
-rw-r--r--dev-python/python-swiftclient/Manifest1
-rw-r--r--dev-python/python-swiftclient/python-swiftclient-4.11.0.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/python-swiftclient/Manifest b/dev-python/python-swiftclient/Manifest
index 26eee843f071..df15ac1a3ff6 100644
--- a/dev-python/python-swiftclient/Manifest
+++ b/dev-python/python-swiftclient/Manifest
@@ -1 +1,2 @@
DIST python_swiftclient-4.10.0.tar.gz 210948 BLAKE2B 1548c3087b3e84e511c227f9d4ebdd940710a4a68e83ddc0c5cac49787361d8ea1d6647b75a0b7ae87d7549d6e9a568dbf4bf75ca0f845046f71b7d673290e5f SHA512 ee2918a255eb0d77b1744c1fc1a6abc44082f551c73516b3c09382b518d7367b5850ba97385b71a1dbb76c4c62d86a2b1cd9032de6a43c4288f5a3feacad4379
+DIST python_swiftclient-4.11.0.tar.gz 210953 BLAKE2B ffb0fa463436237c76db08024f74940b2594c7c02727f5a02ecc114706a3beadbc79b3449d092f63d9c6b1dce0309ba8e3fa5f95b7110e587cdab9a58771ac11 SHA512 c6a51703159b8bd57136f68ddc1c45aece3899039a8b5f8cb7f847f27f1588375d71947fca9f1337fc08b498f7037eec0091f6ce124bb5787feef5d5fb714540
diff --git a/dev-python/python-swiftclient/python-swiftclient-4.11.0.ebuild b/dev-python/python-swiftclient/python-swiftclient-4.11.0.ebuild
new file mode 100644
index 000000000000..55273df6a6b7
--- /dev/null
+++ b/dev-python/python-swiftclient/python-swiftclient-4.11.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pbr
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings to the OpenStack Object Storage API"
+HOMEPAGE="
+ https://opendev.org/openstack/python-swiftclient/
+ https://github.com/openstack/python-swiftclient/
+ https://pypi.org/project/python-swiftclient/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/keystoneauth1-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-0.11.0[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/python-openstackclient-3.12.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ sed -e 's/test_password_prompt/_&/' -i test/unit/test_shell.py || die
+ rm -r test/functional || die
+}